
#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER sample_tracepoint

#undef TRACEPOINT_INCLUDE_FILE
#define TRACEPOINT_INCLUDE_FILE ./sample_tracepoint.h

#ifdef __cplusplus
#extern "C"{
#endif /*__cplusplus */


#if !defined(_SAMPLE_TRACEPOINT_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _SAMPLE_TRACEPOINT_H

#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(
	sample_tracepoint,
	message, // C++ Style comment
	TP_ARGS(char *, text),
	TP_FIELDS(
		ctf_string(message, text)
		  )
)
/*
 * Longer comments
 */
TRACEPOINT_LOGLEVEL(
	sample_tracepoint,
	message,
	TRACE_WARNING)

#endif /* _SAMPLE_TRACEPOINT_H */

#include <lttng/tracepoint-event.h>

#ifdef __cplusplus
}
#endif /*__cplusplus */

